Deploy
API server
https://app.coolify.io/api/v1Deploy by tag or UUID using query parameters or a JSON body.
Authorization
bearerAuth Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Query Parameters
Tag name(s). Comma separated list is also accepted.
Resource UUID(s). Comma separated list is also accepted.
Force rebuild (without cache)
Pull Request Id for deploying specific PR builds. Cannot be used with tag parameter.
value <= 2147483647Preview deployment identifier. Alias of pr.
value <= 2147483647Docker image tag for Docker Image preview deployments. Requires pull_request_id.
Cancel the older webhook, API, and MCP deployments of the same application, pull request, and server. queued cancels the ones that wait in the queue. building also stops the ones that are still building; a deployment that already started to replace containers always finishes. Manual, restart, and rollback deployments are never cancelled. Default: none.
"none""none" | "queued" | "building"Response Body
application/json
application/json
application/json
curl -X POST "https://app.coolify.io/api/v1/deploy"{ "deployments": [ { "message": "string", "resource_uuid": "string", "deployment_uuid": "string" } ]}{ "message": "Invalid token."}{ "message": "Unauthenticated."}